package org.springblade.common.auth.support;

import com.wn.common.datamodel.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 所有按钮对应的功能操作信息
 * </p>
 *
 * @author wpp
 * @since 2019-09-03
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "按钮对应的功能操作信息", description = "按钮对应的功能操作信息")
public class Operation extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 菜单ID
     */
    @ApiModelProperty(name = "menuId", value = "菜单ID")
    private Long menuId;
    /**
     * 操作编码
     */
    @ApiModelProperty(name = "code", value = "操作编码")
    private String code;
    /**
     * 操作名称
     */
    @ApiModelProperty(name = "name", value = "操作名称")
    private String name;
    /**
     * 类型。1:前端,2:后端
     */
    @ApiModelProperty(name = "type", value = "类型。1:前端,2:后端")
    private Integer type;
    /**
     * 操作请求的URL，service name + url
     */
    @ApiModelProperty(name = "requestUrl", value = "操作请求的URL，service name + url")
    private String requestUrl;
    /**
     * 操作请求的方法类型。0:ALL,1:POST,2:GET,3:PUT,4:DELETE
     */
    @ApiModelProperty(name = "requestMethod", value = "操作请求的方法类型。0:ALL,1:POST,2:GET,3:PUT,4:DELETE")
    private Integer requestMethod;
    /**
     * 状态，0:无效，1:有效
     */
    @ApiModelProperty(name = "status", value = "状态，0:无效，1:有效")
    private Integer status;
    /**
     * 描述
     */
    @ApiModelProperty(name = "description", value = "描述")
    private String description;


}
