package org.springblade.common.upyzt.param;

import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Map;

@Data
@Accessors(chain = true)
public class TransferResultParam implements Serializable {

    /**
     * 付款的虚拟账户编号。
     */
    private String recvBalanceAcctId;

    /**
     * 金额，单位分
     */
    private Long amount;

    /**
     * 交易状态。processing（处理中）; succeeded （成功）; failed （失败）
     */
    private String status;

    /**
     * 失败原因。
     */
    private String reason;

    /**
     * 扩展字段
     */
    private Extra extra;

    /**
     * 自定义参数
     */
    private Map<String, Object> metadata;

}
