package org.springblade.common.upyzt.resp;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

/**
 * <p>
 * 母户入金，虚户入金查询返回具体数据
 * </p>
 *
 * @author lming
 * @since 2021-04-16
 */
@Getter
@Accessors(chain = true)
public class AcctDepositResp implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 系统订单号
     */
    private String tradeId;

    /**
     * 电子账簿ID
     */
    private String balanceAcctId;

    /**
     * 关联账户账号
     * 母户入金时为母户账号，转账入金时为电子账簿账簿号。
     */
    private String balanceAcctNo;

    /**
     * 金额，分
     */
    private Long amount;

    /**
     * 转出方账号
     */
    private String payBankAcctNo;

    /**
     * 转出方银行账户名称
     */
    private String payBankAcctName;

    /**
     * 转出方银行编号
     */
    private String payBankCode;

    /**
     * 转出方银行联行号
     */
    private String payBankBranchCode;

    /**
     * 转出方银行名
     */
    private String payBankName;

    /**
     * 附言
     */
    private String bankMemo;

    /**
     * 完成时间
     */
    private LocalDateTime recordedAt;

    /**
     * 母户入金、转账入金、大额订单入金列表查询类型。10: 母户入金;11: 转账入金;13: 大额订单入金
     */
    private Integer tradeType;

    /**
     * 交易状态。1：处理中 2：成功 3：失败
     */
    private String status;

    /**
     * 银行流水号
     */
    private String transactionNo;

}