package org.springblade.common.upyzt.resp;

import java.time.LocalDateTime;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

/**
 * 可提现余额冻结/解冻响应
 */
@Getter
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class BalanceFreezeResp extends UpyztResp {
    /**
     * ID
     */
    private String balanceFreezeId;

    /**
     * 关联的平台订单号
     */
    private String outOrderNo;

    /**
     * 冻结解冻标识。1: 冻结;2: 解冻
     */
    private String freezeType;

    /**
     * 金额
     */
    private Long settledAmount;

    /**
     * 电子账簿ID
     */
    private String balanceAcctId;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 备注
     */
    private String remark;

    /**
     * 状态。1：processing（处理中）; 2：succeeded （成功）; 3：failed （失败）
     */
    private String status;

    /**
     * 失败原因。
     */
    private String reason;
}
