package org.springblade.common.upyzt.resp;

import org.springblade.common.upyzt.param.Extra;
import lombok.Getter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Map;


@Getter
@Accessors(chain = true)
public class DepositResult implements Serializable {

    /**
     * 支付充值
     */
    private String depositId;

    /**
     * 电子账簿ID
     */
    private String balanceAcctId;

    /**
     * 支付通道类型。
     */
    private String paymentType;

    /**
     * 支付通道订单号
     */
    private String paymentTradeNo;

    /**
     * 金额，单位分
     */
    private Long amount;

    /**
     * 退款金额
     */
    private Long refundedAmount;

    /**
     * 状态。processing（处理中）; succeeded （成功）; failed （失败）
     */
    private String status;

    /**
     * 关联的商户订单号
     */
    private String outOrderNo;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 处理完成时间
     */
    private LocalDateTime finishedAt;

    /**
     * 失败原因。
     */
    private String reason;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扩展字段
     */
    private Extra extra;

    /**
     * 自定义参数
     */
    private Map<String, Object> metadata;

}
