package org.springblade.common.upyzt.resp;

import org.springblade.common.upyzt.param.AcctValidationParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

import java.util.Map;

@Getter
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class ElectronicReceiptResp extends UpyztResp {
    /**
     * 电子回单 Id
     */
    private String electronicReceiptId;

    /**
     * 回单对应的交易 Id
     */
    private String tradeId;

    /**
     * 回单对应的交易外部订单号
     */
    private String outOrderNo;

    /**
     * 回单对应的交易类型
     *
     * payment - 消费（转账）|
     * rel_acct_deposit - 转账入金 |
     * allocation - 分账子订单 |
     * guarantee_confirm - 担保确认 |
     * withdrawal_succeeded - 提现 |
     * large_payment - 大额订单(入金)
     */
    private String tradeType;

    /**
     * 回单状态 processing（处理中）; succeeded （成功）; failed （失败）
     */
    private String receiptStatus;

    /**
     * 回单文件地址
     */
    private String fileUrl;
}
