package org.springblade.common.upyzt.resp;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.Map;

@Getter
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class RefundResp extends UpyztResp {

    /**
     * 退款ID
     */
    private String refundId;

    /**
     * 原始交易ID
     */
    private String origTradeId;

    /**
     * 原始交易外部请求单号
     */
    private String origOutOrderNo;

    /**
     * 原始付款账号
     */
    private String origPayBalanceAcctId;

    /**
     * 原始收款账号
     */
    private String origRecvBalanceAcctId;

    /**
     * 金额，单位分
     */
    private Long amount;

    /**
     * 退款总金额（默认人民币，单位：分）
     */
    private Long totalAmount;

    /**
     * 平台优惠退款金额（默认人民币，单位：分）
     */
    private Long discountAmount;

    /**
     * 状态。processing（处理中）; succeeded （成功）; failed （失败）
     */
    private String status;

    /**
     * 关联的商户订单号
     */
    private String outOrderNo;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 处理完成时间
     */
    private LocalDateTime finishedAt;

    /**
     * 失败原因。
     */
    private String reason;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扩展字段
     */
    private Map<String, Object> extra;

    /**
     * 自定义参数
     */
    private Map<String, Object> metadata;
}
