package org.springblade.common.upyzt.resp;

import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.Map;


@Getter
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class WithdrawalResp extends UpyztResp {

    /**
     * 提现ID
     */
    private String withdrawalId;

    /**
     * 关联的商户订单号
     */
    private String outOrderNo;

    /**
     * 状态。processing（处理中）; succeeded （成功）; failed （失败）
     */
    private String status;

    /**
     * 失败原因。
     */
    private String reason;

    /**
     * 创建时间
     */
    private LocalDateTime createdAt;

    /**
     * 处理完成时间
     */
    private LocalDateTime finishedAt;

    /**
     * 金额，单位分
     */
    private Long amount;

    /**
     * 平台手续费: 平台所收，不传为0，单位为分
     */
    private Long serviceFee;

    /**
     * 业务类型: 1-提现; 2-转账
     */
    private String businessType;

    /**
     * 电子账簿ID
     */
    private String balanceAcctId;

    /**
     * 摘要
     */
    private String bankMemo;

    /**
     * 备注
     */
    private String remark;

    /**
     * 扩展字段
     */
    private Map<String, Object> extra;

    /**
     * 自定义参数
     */
    private Map<String, Object> metadata;
}
