package org.springblade.modules.app.client;

import org.springblade.common.auth.InvokeConfiguration;
import com.wn.common.datamodel.ResultDTO;
import org.springblade.modules.app.dto.CityDTO;
import org.springblade.modules.app.dto.InnerCaptchaReqDTO;
import org.springblade.modules.app.dto.InnerCaptchaResultDTO;
import org.springframework.http.MediaType;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 作用描述：
 * </p>
 *
 * @author lq
 * @since 2020/4/21 3:24 下午
 */
//@FeignClient(name = "widget-service", configuration = InvokeConfiguration.class)
public interface IWidgetService {

    /**
     * 描述:
     *
     * @param innerCaptchaReqDTO :
     * @return : org.springframework.http.ResponseEntity<com.wn.common.datamodel.ResultDTO<java.util.List<com.wn.filmshop.vo.ChannelBusinessVO>>>
     * @author fxs
     * @date 2021/11/01 3:25 下午
     **/
    @PostMapping(value = "/widget/inner/captcha/check", consumes = MediaType.APPLICATION_JSON_VALUE)
    ResponseEntity<ResultDTO<InnerCaptchaResultDTO>> checkCaptcha(@RequestBody InnerCaptchaReqDTO innerCaptchaReqDTO);

    /**
     * 描述:
     *
     * @param id :
     * @return : org.springframework.http.ResponseEntity<com.wn.common.datamodel.ResultDTO<java.util.List<com.wn.filmshop.vo.ChannelBusinessVO>>>
     * @author fxs
     * @date 2021/11/01 3:25 下午
     **/
    @GetMapping(value = "/widget/region/{id}", consumes = MediaType.APPLICATION_JSON_VALUE)
    ResponseEntity<ResultDTO<CityDTO>> getCity(@PathVariable("id") Long id);
}
