package org.springblade.modules.app.common.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.BaseDTO;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * app用户标识表
 * </p>
 *
 * @author huyinuo
 * @since 2022-01-17
 */
@Data
@ApiModel(value = "AppUserIdDTO", description = "app用户标识表")
public class AppUserIdDTO extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "userId", value = "用户id")
    private Long userId;

    /**
     * 客户端标识号id
     */
    @ApiModelProperty(name = "clientId", value = "客户端标识号id")
    private String clientId;

    /**
     * 修改时间
     */
    @ApiModelProperty(name = "modifiedTime", value = "修改时间")
    private Date modifiedTime;

    private String token;

}
