package org.springblade.modules.app.common.dto;

import com.wn.common.datamodel.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * app版本信息
 * </p>
 *
 * @author huyinuo
 * @since 2022-2-23
 */
@Data
@ApiModel(value = "AppVersionDTO", description = "app版本信息")
public class AppVersionDTO extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 版本号
     */
    @ApiModelProperty(name = "versionNumber", value = "版本号")
    private Long versionNumber;

    /**
     * 版本名称
     */
    @ApiModelProperty(name = "versionName", value = "版本名称")
    private String versionName;

    /**
     * 更新内容
     */
    @ApiModelProperty(name = "upgradeContext", value = "更新内容")
    private String upgradeContext;

    /**
     * 安装包url
     */
    @ApiModelProperty(name = "installationPackageUrl", value = "安装包url")
    private String installationPackageUrl;

    /**
     * 文件大小
     */
    @ApiModelProperty(name = "fileSize", value = "文件大小")
    private Long fileSize;

    /**
     * 是否强制更新 1：是 0：否（默认否）
     */
    @ApiModelProperty(name = "ifForcedUpdate", value = "是否强制更新 1：是 0：否（默认否）")
    private Integer ifForcedUpdate;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private Date createdTime;

    /**
     * 渠道类型 0：通用渠道 1：华为渠道
     */
    @ApiModelProperty(name = "channelType", value = "渠道类型 0：通用渠道 1：华为渠道")
    private Integer channelType;
}
