package org.springblade.modules.app.common.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.BaseDTO;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 入浙备案登记信息
 * </p>
 *
 * @author huyinuo
 * @since 2022-01-11
 */
@Data
@ApiModel(value = "EnteringZhejiangFilingDTO", description = "入浙备案登记信息")
public class EnteringZhejiangFilingDTO extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 养殖场id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "userId", value = "养殖场id")
    private Long userId;

    /**
     * 养殖场名称
     */
    @ApiModelProperty(name = "userName", value = "养殖场名称")
    private String userName;

    /**
     * 状态 0：未查看 1：已查看
     */
    @ApiModelProperty(name = "status", value = "状态 0：未查看 1：已查看")
    private Integer status;

    /**
     * 备案表附件
     */
    @ApiModelProperty(name = "appendix", value = "备案表附件")
    private String appendix;

    /**
     * 寄件凭证
     */
    @ApiModelProperty(name = "evidence", value = "寄件凭证")
    private String evidence;

    /**
     * 快递单号
     */
    @ApiModelProperty(name = "expressNumber", value = "快递单号")
    private String expressNumber;

    /**
     * 提交时间
     */
    @ApiModelProperty(name = "createdTime", value = "提交时间")
    private Date createdTime;

    private String token;
}
