package org.springblade.modules.app.common.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.BaseDTO;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * <p>
 * 代宰户与屠宰场绑定关系
 * </p>
 *
 * @author zhangk
 * @since 2022-01-14
 */
@Data
@ApiModel(value = "SlaughterBuyerRelationDTO", description = "代宰户与屠宰场绑定关系")
public class SlaughterBuyerRelationDTO extends BaseDTO {

    private static final long serialVersionUID = 1L;


    /**
     * 代宰户id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "slaughterHouseId", value = "代宰户id")
    private Long slaughterHouseId;

    /**
     * 代宰户名称
     */
    @ApiModelProperty(name = "slaughterHouseName", value = "代宰户名称")
    private String slaughterHouseName;

    /**
     * 屠宰场用户id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "buyerUserId", value = "屠宰场用户id")
    private Long buyerUserId;

    /**
     * 屠宰场名称
     */
    @ApiModelProperty(name = "buyerUserName", value = "屠宰场名称")
    private String buyerUserName;

    /**
     * 状态 0-待确认 1-已绑定 9-已拒绝
     */
    @ApiModelProperty(name = "state", value = "状态 0-待确认 1-已绑定 9-已拒绝")
    private Integer state;

    /**
     * 绑定时间
     */
    @ApiModelProperty(name = "bindTime", value = "绑定时间")
    private Date bindTime;

    /**
     * 拒绝时间
     */
    @ApiModelProperty(name = "refuseTime", value = "拒绝时间")
    private Date refuseTime;

    /**
     * 发起方 1-屠宰场 5-代宰户
     */
    @ApiModelProperty(name = "initiator", value = "发起方 1-屠宰场 5-代宰户")
    private Integer initiator;

    /**
     * 备注
     */
    @ApiModelProperty(name = "remark", value = "备注")
    private String remark;

    /**
     * 代宰户地址
     */
    @ApiModelProperty(name = "houseUserAddress", value = "代宰户地址")
    private String houseUserAddress;

    /**
     * 是否自动审批 0-否 1-是
     */
    @ApiModelProperty(name = "ifAutoApply", value = "是否自动审批 0-否 1-是 (修改必传)")
    private Integer ifAutoApply;

    /**
     * 屠宰场地址
     */
    @ApiModelProperty(name = "buyerAddress", value = "屠宰场地址")
    private String buyerAddress;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private Date createdTime;

}
