package org.springblade.modules.app.common.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * <p>
 * 供浙经纪人调运量统计
 * </p>
 *
 * @author zhangk
 * @since 2021-12-30
 */
@Data
@ApiModel(value = "StatByAgentUserDTO", description = "供浙经纪人调运量统计信息")
public class StatByAgentUserDTO {

    private static final long serialVersionUID = 1L;


    /**
     * 经纪人id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "agentUserId", value = "经纪人id")
    private Long agentUserId;


    /**
     * 经纪人名称
     */
    @ApiModelProperty(name = "agentName", value = "经纪人名称")
    private String agentName;


    /**
     * 调运量（头）
     */
    @ApiModelProperty(name = "quantity", value = "调运量（头）")
    private Integer quantity;

    /**
     * 合作屠宰场数量
     */
    @ApiModelProperty(name = "buyerQuantity", value = "合作屠宰场数量")
    private Integer buyerQuantity;

    /**
     * 合作养殖场数量
     */
    @ApiModelProperty(name = "salerQuantity", value = "合作养殖场数量")
    private Integer salerQuantity;


}
