package org.springblade.modules.app.common.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * <p>
 * 实时异常订单统计
 * </p>
 *
 * @author zhangk
 * @since 2021-12-30
 */
@Data
@ApiModel(value = "StatExpOrderDTO", description = "实时异常订单统计信息")
public class StatExpOrderDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 屠宰场id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "buyerUserId", value = "屠宰场id")
    private Long buyerUserId;

    /**
     * 屠宰场名称
     */
    @ApiModelProperty(name = "buyerUserName", value = "屠宰场名称")
    private String buyerUserName;

    /**
     * 调运单号
     */
    @ApiModelProperty(name = "billCode", value = "调运单号")
    private String billCode;

    /**
     * 异常类型
     */
    @ApiModelProperty(name = "expType", value = "异常类型 1-拒收 2-超时接收 3-让步接收")
    private Integer expType;


}
