package org.springblade.modules.app.common.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * <p>
 * 违规统计
 * </p>
 *
 * @author zhangk
 * @since 2021-12-30
 */
@Data
@ApiModel(value = "StatViolationDTO", description = "违规统计信息")
public class StatViolationDTO {

    private static final long serialVersionUID = 1L;


    /**
     * 司机id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "driverUserId", value = "司机id")
    private Long driverUserId;

    /**
     * 司机名称
     */
    @ApiModelProperty(name = "driverUserName", value = "司机名称")
    private String driverUserName;

    /**
     * 违规类型
     */
    @ApiModelProperty(name = "expType", value = "违规类型 1-行程异常")
    private Integer expType;

    /**
     * 违规次数
     */
    @ApiModelProperty(name = "violations", value = "违规次数")
    private Integer violations;


}
