package org.springblade.modules.app.common.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * <p>
 * 调运单信息
 * </p>
 *
 * @author zhangk
 * @since 2021-12-30
 */
@Data
@ApiModel(value = "StatWaybillDTO", description = "调运单信息")
public class StatWaybillDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 调运单号
     */
    @ApiModelProperty(name = "billCode", value = "调运单号")
    private String billCode;

    /**
     * 计划数量
     */
    @ApiModelProperty(name = "planNum", value = "计划数量")
    private Integer planNum;

    /**
     * 计划时间
     */
    @ApiModelProperty(name = "planTime", value = "计划时间")
    private Date planTime;


    /**
     * 屠宰场用户id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "buyerUserId", value = "屠宰场用户id")
    private Long buyerUserId;

    /**
     * 屠宰场名称
     */
    @ApiModelProperty(name = "buyerUserName", value = "屠宰场名称")
    private String buyerUserName;

    /**
     * 养殖场id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "salerUserId", value = "养殖场id")
    private Long salerUserId;


    /**
     * 养殖场名称
     */
    @ApiModelProperty(name = "salerUserName", value = "养殖场名称")
    private String salerUserName;


    /**
     * 检疫站id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "verifyId", value = "检疫站id")
    private Long verifyId;

    /**
     * 检疫站名称
     */
    @ApiModelProperty(name = "verifyName", value = "检疫站名称")
    private String verifyName;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private Date createdTime;


}
