package org.springblade.modules.app.common.dto;

import com.wn.common.datamodel.BaseDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * <p>
 * 调运单审批回调真实信息
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@ApiModel(value = "WaybillCallbackParamDTO", description = "调运单审批回调真实信息")
public class WaybillCallbackParamDTO extends BaseDTO {

    private static final long serialVersionUID = 1L;

    /**
     * 当前时间戳（毫秒值）：三分钟内有效
     */
    @ApiModelProperty(name = "billCode", value = "调运单编码")
    private String billCode;

    /**
     * 调运单审核编码
     */
    @ApiModelProperty(name = "dispatchOutCode", value = "调运单审核编码")
    private String dispatchOutCode;

    /**
     * 签名
     */
    @ApiModelProperty(name = "message", value = "审核意见")
    private String message;

    /**
     * 签名
     */
    @ApiModelProperty(name = "state", value = "审核状态 0-未通过 1-通过")
    private Integer state;
}
