package org.springblade.modules.app.common.query;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.util.Date;

/**
 * @author fuxinsheng
 */
@Data
@Api(tags = "管理端用户查询条件")
@Slf4j
public class AdminUserBaseQuery {

    private static final long serialVersionUID = 3315064777503424033L;

    /**
     * 手机号
     */
    @ApiModelProperty(name = "phone", value = "手机号")
    private String phone;

    /**
     * 用户姓名
     */
    @ApiModelProperty(name = "userName", value = "用户姓名")
    private String userName;

    /**
     * 类型 1-屠宰场 2-养殖户 3-司机 4-经纪人 5-代宰户
     */
    @ApiModelProperty(name = "type", value = "类型 1-屠宰场 2-养殖户 3-司机 4-经纪人 5-代宰户")
    private Integer type;

    /**
     * 用户状态 1-启用 2-禁用
     */
    @ApiModelProperty(name = "state", value = "用户状态 1-启用 2-禁用")
    private Integer state;

    /**
     * 用户状态 1-启用 2-禁用
     */
    @ApiModelProperty(name = "checkState", value = "审核用户状态 0-未审核 1-通过 2-驳回")
    private Integer checkState;

    /**
     * 开始时间
     */
    @ApiModelProperty(name = "startTime", value = "开始时间")
    private Date startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(name = "endTime", value = "结束时间")
    private Date endTime;

}
