package org.springblade.modules.app.common.query;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author huyinuo
 */
@Data
@Api(tags = "统计查询条件")
public class StatBaseQuery  {

    public StatBaseQuery() {
    }

    public StatBaseQuery(String startTime, String endTime) {
        this.startTime = startTime;
        this.endTime = endTime;
    }

    public StatBaseQuery(String startTime, String endTime, Integer limit) {
        this.startTime = startTime;
        this.endTime = endTime;
        this.limit = limit;
    }

    /**
     * 开始时间
     */
    @ApiModelProperty(name = "startTime", value = "开始时间：yyyy-MM-dd")
    private String startTime;

    /**
     * 结束时间
     */
    @ApiModelProperty(name = "endTime", value = "结束时间：yyyy-MM-dd")
    private String endTime;

    /**
     * 查询记录数
     */
    @ApiModelProperty(name = "limit", value = "查询记录数")
    private Integer limit = 2;

}
