package org.springblade.modules.app.common.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName: ApprovalVO
 * @Description: 审批
 * @author: fxs
 * @createTime: 2021-11-05-15:36
 */
@Data
@ApiModel(value = "ApprovalVO", description = "审批")
public class ApprovalVO {
    /**
     * 关联id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "linkId", value = "关联id")
    private Long linkId;

    private Integer top;

    /**
     * 关联id集合
     */
    @ApiModelProperty(name = "linkIdList", value = "关联id集合")
    private List<Long> linkIdList;

    /**
     * 审批类型 1-合同确认 2-调运单确认 3-运输单确认 4-代宰户审批 5-调运单审核 6-用户审核 7-验收单审核 8-屠宰场审批备案单
     */
    @ApiModelProperty(name = "approvalType", value = "审批类型 1-合同确认 2-调运单确认 3-运输单确认 4-代宰户审批 5-调运单审核 6-用户审核 7-验收单审核 8-屠宰场审批备案单")
    private Integer approvalType;

    /**
     * 审批结果 0-驳回 1-确认
     */
    @ApiModelProperty(name = "result", value = "审批结果 0-驳回 1-确认")
    private Integer result;

    /**
     * 审批意见
     */
    @ApiModelProperty(name = "message", value = "审批意见")
    private String message;

    /**
     * 调运证编码
     */
    @ApiModelProperty(name = "outTradeNo", value = "调运证编码")
    private String outTradeNo;

    private String token;
}
