package org.springblade.modules.app.common.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: ChangeUserStateVO
 * @Description: 修改用户状态
 * @author: fxs
 * @createTime: 2021-11-05-15:36
 */
@Data
@ApiModel(value = "ChangeUserStateVO", description = "修改用户状态")
public class ChangeUserStateVO {
    /**
     * 用户id
     */
    @JSONField(serializeUsing = ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "id", value = "用户id")
    private Long id;
    /**
     * 用户状态 1-启用 2-禁用
     */
    @ApiModelProperty(name = "state", value = "用户状态 1-启用 -1-禁用")
    private Integer state;
}
