package org.springblade.modules.app.common.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.BaseDTO;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author huyinuo
 */
@Data
@ApiModel(value = "ContractListVO", description = "合同列表查询")
public class ContractVO extends BaseDTO {
    /**
     * 合同ID
     */
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "contractID", value = "合同ID")
    private Long contractID;

    /**
     * 合同名称
     */
    @ApiModelProperty(name = "contractName", value = "合同名称")
    private String contractName;

    /**
     * 状态 0-待确认 1-已生效 -1-已驳回 -2-已失效
     */
    @ApiModelProperty(name = "state", value = "状态 0-待确认 1-已生效 -1-已驳回 -2-已失效")
    private Integer state;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private Date createdTime;
}
