package org.springblade.modules.app.common.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName: FarmSimpleInfoVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-11-06-14:12
 */
@Data
@ApiModel(value = "FarmSimpleInfoVO", description = "养殖场简易信息")
public class FarmSimpleInfoVO {
    /**
     * 养殖场id
     */
    @JSONField(serializeUsing= ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "id", value = "养殖场id")
    private Long id;

    /**
     * 养殖场名称
     */
    @ApiModelProperty(name = "userName", value = "养殖场名称")
    private String userName;

    /**
     * 养殖场地址
     */
    @ApiModelProperty(name = "address", value = "养殖场地址")
    private String address;

    /**
     * 浙牧通养殖场ID
     */
    @ApiModelProperty(name = "supplierId", value = "浙牧通养殖场ID")
    @JSONField(serializeUsing= ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    private Long supplierId;

    /**
     * 浙牧通养殖场ID
     */
    @ApiModelProperty(name = "supplierType", value = "浙牧通养殖场类型 1.供东部生猪屠宰企业；2.六省供货方 4.无疫小区")
    private Integer supplierType;

    /**
     * 养殖场电话
     */
    @ApiModelProperty(name = "phone", value = "养殖场电话")
    private String phone;
}
