package org.springblade.modules.app.common.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: SlaughterHouseVO
 * @Description: 代宰户列表VO
 * @author: fxs
 * @createTime: 2021-11-05-15:36
 */
@Data
@ApiModel(value = "SlaughterHouseVO", description = "代宰户列表VO")
public class SlaughterHouseVO {
    /**
     * 代宰户id
     */
    @JSONField(serializeUsing= ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "id", value = "代宰户id")
    private Long id;
    /**
     * 代宰户名称
     */
    @ApiModelProperty(name = "userName", value = "代宰户名称")
    private String userName;
    /**
     * 手机号
     */
    @ApiModelProperty(name = "phone", value = "手机号")
    private String phone;
    /**
     * 状态 1-待确认 2-已通过 3-已拒绝
     */
    @ApiModelProperty(name = "state", value = "状态 1-待确认 2-已通过 3-已拒绝")
    private Integer state;
    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private Date createdTime;
}
