package org.springblade.modules.app.common.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.ToStringSerializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.BaseDTO;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @ClassName: WaybillListVO
 * @Description:
 * @author: fxs
 * @createTime: 2021-11-06-11:50
 */
@Data
@ApiModel(value = "WaybillListVO", description = "调运单列表查询")
public class WaybillListVO extends BaseDTO {

    /**
     * id
     */
    @JSONField(serializeUsing= ToStringSerializer.class)
    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(name = "id", value = "调运单id")
    private Long id;

    /**
     * 调运单名称
     */
    @ApiModelProperty(name = "billName", value = "调运单名称")
    private String billName;

    /**
     * 状态 0-待确认 1-待审批 2-调运中 3-已完成 -1-已驳回 -2-未通过
     */
    @ApiModelProperty(name = "state", value = "状态 0-待确认 1-待审批 2-调运中 3-已完成 -1-已驳回 -2-未通过")
    private Integer state;

    /**
     * 验收状态 -1-未提交 0-待确认 1-通过 2-驳回
     */
    @ApiModelProperty(name = "acceptState", value = "验收状态 -1-未提交 0-待确认 1-通过 2-驳回")
    private Integer acceptState;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private Date createdTime;

    /**
     * 是否是创建人 0-否 1-是
     */
    @ApiModelProperty(name = "ifCreator", value = "是否是创建人 0-否 1-是")
    private Integer ifCreator;

    private Integer top;

    private Integer type;
}
