package org.springblade.modules.app.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.wn.common.datamodel.BaseDTO;
import com.wn.common.datamodel.Long2StringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class CommonDTO extends BaseDTO {

    @ApiModelProperty(value = "动物防疫条件合格证编码")
    private String livestockPreventionPassCode;

    @ApiModelProperty(value = "生猪定点屠宰许可证编码")
    private String livestockSlaughterPermitCode;

    @ApiModelProperty(value = "排污许可证编码")
    private String pollutantDischargePermitCode;

    @ApiModelProperty(value = "排污许可证行业类别")
    private String pollutantDischargePermitIndustry;

    @ApiModelProperty(value = "排污许可证有效期")
    private String pollutantDischargePermitDate;

    @ApiModelProperty(value = "排污许可证有效期时间")
    private Date pollutantDischargePermitDateTime;

    @ApiModelProperty(value = "道路运输许可证编码")
    private String transportPermitCode;

    @ApiModelProperty(value = "检疫合格证编号（A票编号）")
    private String quarantineCertificate;

    @ApiModelProperty(value = "运输数量")
    private String transportationQuantity;

    @JsonSerialize(using = Long2StringSerializer.class)
    @ApiModelProperty(value = "运输数量阿拉伯数字")
    private Long transportationQuantityNum;

    @ApiModelProperty(value = "运输工具牌号")
    private String vehicleBrand;

    @ApiModelProperty(value = "签发日期")
    private String issueDate;

    @ApiModelProperty(value = "签发日期时间")
    private Date issueDateTime;
}

