package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;

/**
 * <p>
 * 审批信息表
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@TableName("tb_application_info")
public class ApplicationInfoDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 关联id
     */
    private Long linkId;

    /**
     * 关联表
     */
    private String linkTable;

    /**
     * 状态 0-未审核 1-通过 2-驳回
     */
    private Integer state;

    /**
     * 审核意见
     */
    private String message;

    /**
     * 类型 1-合同确认 2-调运单确认 3-调运单审核 4-运输单确认 5-用户审核 6-代宰户审核
     */
    private Integer type;

    /**
     * 提交人id
     */
    private Long submitUserId;

    /**
     * 提交人姓名
     */
    private String submitUserName;

    /**
     * 提交人手机
     */
    private String submitPhone;

    /**
     * 审批人id
     */
    private Long applyUserId;

    /**
     * 审批人姓名
     */
    private String applyUserName;

    /**
     * 审批人手机号
     */
    private String applyPhone;


}
