package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 代宰户与屠宰场绑定记录表
 * </p>
 *
 * @author zhangK
 * @since 2022-01-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_slaughter_buyer_relation_log")
public class SlaughterBuyerRelationLogDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 代宰户id
     */
    private Long slaughterHouseId;

    /**
     * 屠宰场用户id
     */
    private Long buyerUserId;

    /**
     * 状态 1-绑定 9-解绑
     */
    private Integer type;

    /**
     * 发起方 1-屠宰场 5-代宰户
     */
    private Integer initiator;

    /**
     * 解绑原因
     */
    private String reason;

    /**
     * 备注
     */
    private String remark;


}
