package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 运输单信息
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@TableName("tb_transport")
public class TransportDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 调运单id
     */
    private Long waybillId;

    /**
     * 调运单名称
     */
    private String waybillName;

    /**
     * 调运单对外编码
     */
    private String waybillOutCode;

    /**
     * 运输单编码
     */
    private String code;

    /**
     * 状态 -1-已驳回 0-待确认 1-调运中 2-已完成
     */
    private Integer state;

    /**
     * 验收状态 -1-未提交 0-待确认 1-通过 2-驳回
     */
    private Integer acceptState;

    /**
     * 待宰户id
     */
    private Long slaughterHouseId;

    /**
     * 司机id
     */
    private Long driverUserId;

    /**
     * 经纪人id
     */
    private Long agentUserId;

    /**
     * 司机姓名
     */
    private String driverUserName;

    /**
     * 经纪人姓名
     */
    private String agentUserName;

    /**
     * 养殖场姓名
     */
    private String salerUserName;

    /**
     * 屠宰场姓名
     */
    private String buyerUserName;

    /**
     * 司机行驶证编码
     */
    private String driverVehicleCode;

    /**
     * 道路运输许可证编号
     */
    private String driverTransportPermitCode;

    /**
     * 司机电话
     */
    private String driverPhone;

    /**
     * 养殖场-省
     */
    private Long salerProvId;

    /**
     * 养殖场-市
     */
    private Long salerCityId;

    /**
     * 养殖场-区
     */
    private Long salerAreaId;

    /**
     * 养殖场地址
     */
    private String salerUserAddress;

    /**
     * 养殖场联系人
     */
    private String salerUserLinkMan;

    /**
     * 养殖场Id
     */
    private Long salerUserId;

    /**
     * 屠宰场Id
     */
    private Long buyerUserId;

    /**
     * 养殖场电话
     */
    private String salerPhone;

    /**
     * 屠宰场-省
     */
    private Long buyerProvId;

    /**
     * 屠宰场-市
     */
    private Long buyerCityId;

    /**
     * 屠宰场-区
     */
    private Long buyerAreaId;

    /**
     * 屠宰场地址
     */
    private String buyerUserAddress;

    /**
     * 屠宰场联系人
     */
    private String buyerUserLinkMan;

    /**
     * 屠宰场电话
     */
    private String buyerPhone;

    /**
     * 价格类型 1-一口价 2-按公里数
     */
    private Integer priceType;

    /**
     * 定金
     */
    private BigDecimal frontPrice;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 检疫站id
     */
    private Long verifyId;

    /**
     * 检疫站名称
     */
    private String verifyName;

    /**
     * 检疫站地址
     */
    private String verifyAddress;

    /**
     * 检疫站报检结果
     */
    private String verifyResultInfo;

    /**
     * 备注
     */
    private String remark;

    /**
     * 确认时间
     */
    private Date confirmTime;

    /**
     * 完成时间
     */
    private Date finishTime;

    /**
     * 提交司机审核时间
     */
    private Date submitTime;

    /**
     * 异常类型 0-无异常 1-拒收 2-超时接收 3-让步接收
     */
    private Integer expType;

    private Integer top;


}
