package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 用户信息表
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@TableName("tb_user")
public class UserDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 浙牧通ID
     */
    private Long zmtId;

    /**
     * 浙牧通用户ID
     */
    private Long zmtUserId;

    /**
     * 浙牧通用户名
     */
    private String zmtUserName;

    /**
     * 浙牧通主体名
     */
    private String zmtName;

    /**
     * 浙牧通调运主体类型 1 养殖场 2 屠宰场 3 其他调运主体
     */
    private Integer zmtType;

    /**
     * 畜禽养殖代码
     */
    private String breedCode;

    /**
     * 用户密码
     */
    @TableField("user_password")
    private String password;

    /**
     * 类型 1-屠宰场 2-养殖户 3-司机 4-经纪人 5-屠宰户
     */
    private Integer type;

    /**
     * 状态 0-初始 1-启用 -1-禁用
     */
    private Integer state;

    /**
     * 联系人名称
     */
    private String businessLinkMan;

    /**
     * 用户名称(姓名/企业名称)
     */
    private String userName;

    /**
     * 省
     */
    private Long provId;

    /**
     * 省
     */
    private String provName;

    /**
     * 市
     */
    private Long cityId;

    /**
     * 市
     */
    private String cityName;

    /**
     * 区
     */
    private Long areaId;

    /**
     * 区
     */
    private String areaName;

    /**
     * 用户地址
     */
    private String address;

    /**
     * 行业类型
     */
    private String businessIndustryCategrory;

    /**
     * 法定代表人
     */
    private String businessLegalPerson;

    /**
     * 注册资金
     */
    private String businessRegisterMoney;

    /**
     * 注册时间
     */
    private Date businessRegisterDate;

    /**
     * 营业期限
     */
    private Date businessTerm;

    /**
     * 营业范围
     */
    private String businessScope;

    /**
     * 唯一认证编码(身份证/统一社会信用编码)
     */
    private String creditCode;

    /**
     * 营业执照url
     */
    private String businessUrl;

    /**
     * 身份证正面
     */
    private String idCardFrontUrl;

    /**
     * 身份证背面
     */
    private String idCardBehindUrl;

    /**
     * 动物防疫条件合格证编码
     */
    private String livestockPreventionPassCode;

    /**
     * 动物防疫条件合格证
     */
    private String livestockPreventionPassUrl;

    /**
     * 生猪定点屠宰许可证编码
     */
    private String livestockSlaughterPermitCode;

    /**
     * 生猪定点屠宰许可证
     */
    private String livestockSlaughterPermitUrl;

    /**
     * 排污许可证编码
     */
    private String pollutantDischargePermitCode;

    /**
     * 排污许可证行业类别
     */
    private String pollutantDischargePermitIndustry;

    /**
     * 排污许可证有效期
     */
    private Date pollutantDischargePermitDate;

    /**
     * 排污许可证
     */
    private String pollutantDischargePermitLicenseUrl;

    /**
     * 无疫情证明到期日期
     */
    private Date noEpidemicProofPassDate;

    /**
     * 三年无疫情证明
     */
    private String noEpidemicProofPassUrl;

    /**
     * 驾驶证编码
     */
    private String driverLicenceCode;

    /**
     * 驾驶证
     */
    private String driverLicenceUrl;

    /**
     * 准驾车型
     */
    private String driverCarType;

    /**
     * 驾驶证发放单位
     */
    private String driverIssuing;

    /**
     * 驾驶证初次发放日期
     */
    private Date driverFirstIssueDate;

    /**
     * 驾驶证到期日期
     */
    private Date driverLicenceExpiryDate;

    /**
     * 行驶证编码
     */
    private String vehicleLicenseCode;

    /**
     * 行驶证
     */
    private String vehicleLicenseUrl;

    /**
     * 道路运输许可证编码
     */
    private String transportPermitCode;

    /**
     * 道路运输许可证
     */
    private String transportPermitUrl;

    /**
     * 挂靠的屠宰场id
     */
    private Long slaughterHouseParentId;

    /**
     * 挂靠的屠宰场名称
     */
    private String slaughterHouseParentName;

    /**
     * 待宰户类型 1-自然人 2-个体户 3-企业主
     */
    private Integer slaughterHouseType;

    private String sysUserId;

    private Integer enterprise;

    private Integer autoSubmit;

    private Date idCardDate;


}
