package org.springblade.modules.app.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.wn.common.datamodel.LogicDeleteBaseDO;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 调运单信息
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
@Data
@TableName("tb_waybill")
public class WaybillDO extends LogicDeleteBaseDO {

    private static final long serialVersionUID = 1L;

    /**
     * 调运单名称
     */
    private String billName;

    /**
     * 调运单编码
     */
    private String billCode;

    /**
     * 状态 0-待确认 1-待审批 2-调运中 3-已完成 4-待屠宰场确认 -1-已驳回 -2-未通过 -3-已撤销
     */
    private Integer state;

    /**
     * 计划数量
     */
    private Integer planNum;

    /**
     * 调入时间
     */
    private Date planTime;

    /**
     * 待宰户id
     */
    private Long slaughterHouseId;

    /**
     * 屠宰场用户id
     */
    private Long buyerUserId;

    /**
     * 屠宰场名称
     */
    private String buyerUserName;

    /**
     * 浙牧通调运主体类型 0-无 1 养殖场 2 屠宰场 3 其他调运主体
     */
    private Integer companyOrPeopleType;

    /**
     * 单位或个人（user.zmt_name）
     */
    private String companyOrPeople;

    /**
     * 备案单位 id（user.zmt_id）
     */
    private Long recordUnitId;

    /**
     * 备案人（user.zmt_user_name）
     */
    private String recordPeople;

    private String remark;

    /**
     * 备案人 id（user.zmt_user_id）
     */
    private Long recordPeopleId;

    /**
     * 屠宰场地址
     */
    private String buyerUserAddress;

    /**
     * 屠宰场营业执照
     */
    private String buyerBusinessUrl;

    /**
     * 屠宰场动物防疫条件合格证
     */
    private String buyerLivestockPreventionPassUrl;

    /**
     * 屠宰场排污许可证
     */
    private String buyerPollutantDischargePermitLicenseUrl;

    /**
     * 屠宰场生猪定点屠宰许可证
     */
    private String buyerLivestockSlaughterPermitUrl;

    /**
     * 经纪人id
     */
    private Long agentUserId;

    /**
     * 经纪人名称
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String agentName;

    /**
     * 经纪人手机
     */
    @TableField(updateStrategy = FieldStrategy.NOT_NULL)
    private String agentPhone;

    /**
     * 养殖场id
     */
    private Long salerUserId;

    /**
     * 养殖场名称
     */
    private String salerUserName;

    /**
     * 养殖场地址
     */
    private String salerUserAddress;

    /**
     * 养殖场营业执照
     */
    private String salerBusinessUrl;

    /**
     * 养殖场动物防疫条件合格证
     */
    private String salerLivestockPreventionPassUrl;

    /**
     * 养殖场三年无疫情证明
     */
    private String salerNoEpidemicProofPassUrl;

    /**
     * 确认时间
     */
    private Date confirmTime;

    private String contact;

    /**
     * 确认用户ID
     */
    private Long confirmUserId;

    /**
     * 提交审核时间
     */
    private Date submitTime;

    /**
     * 审核完成时间
     */
    private Date finishTime;

    /**
     * 浙牧通备案编码(simpleNo)
     */
    private String outTradeNo;

    /**
     * 供货商 id
     */
    private Long supplierId;

    /**
     * 浙牧通备案UUID(registeredUuid)
     */
    private String registeredUuid;


    /**
     * 供货方类型(1.供东部生猪屠宰企业；2.六省供货方 4.无疫小区 )
     */
    private Integer supplierType;

    /**
     * 检疫站id
     */
    private Long verifyId;

    /**
     * 检疫站名称
     */
    private String verifyName;

    /**
     * 检疫站地址
     */
    private String verifyAddress;

    /**
     * 浙牧通修改审批状态记录
     */
    private String zmtApplyUpdateInfo;

    private Integer top;


}
