package org.springblade.modules.app.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springblade.modules.app.dto.CityDTO;
import org.springblade.modules.app.entity.CityDO;

import java.util.List;

public interface ICityService extends IService<CityDO> {

    /**
     * 获取区域列表
     * @param cityDTO
     * @return
     */
    List<CityDTO> listCityDTO(CityDTO cityDTO);

    /**
     * 获取特定区域
     * @param cityDTO
     * @return
     */
    CityDTO getCityDTO(CityDTO cityDTO);

    /**
     * 匹配城市
     *
     * @param cityDTO
     * @return
     */
    CityDTO matchCity(CityDTO cityDTO);
}

