package org.springblade.modules.app.service;

import org.springblade.modules.app.common.dto.PictureInfoDTO;
import org.springblade.modules.app.common.query.PictureQuery;
import org.springblade.modules.app.entity.PictureInfoDO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 附件表 服务类
 * </p>
 *
 * @author fuxinsheng
 * @since 2021-11-05
 */
public interface IPictureInfoService extends IService<PictureInfoDO> {

    /**
     * 新增附件信息
     *
     * @param updatePictureInfoDTO
     * @return java.lang.Boolean
     * @author FUXINSHENG
     */
    Boolean addPictureInfo(PictureInfoDTO updatePictureInfoDTO);

    /**
     * 根据查询条件获取附件信息
     *
     * @param pictureQuery
     * @return org.springblade.modules.app.common.dto.PictureInfoDTO
     * @author FUXINSHENG
     */
    PictureInfoDTO getPictureInfo(PictureQuery pictureQuery);

    /**
     * 更新附件信息
     *
     * @param updatePictureInfoDTO
     * @return java.lang.Boolean
     * @author FUXINSHENG
     */
    Boolean updatePictureInfo(PictureInfoDTO updatePictureInfoDTO);

    /**
     * 根据查询条件获取附件信息集合
     *
     * @param pictureQuery
     * @return java.util.List<org.springblade.modules.app.common.dto.PictureInfoDTO>
     * @author FUXINSHENG
     */
    List<PictureInfoDTO> listPictureInfo(PictureQuery pictureQuery);

    /**
     * 根据条件删除附件信息
     *
     * @param query
     * @return java.lang.Boolean
     * @author FUXINSHENG
     */
    Boolean deleteByLinkId(PictureQuery query);
}
