/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.desk.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.desk.entity.PlatformUser;
import org.springblade.modules.desk.excel.PlatformUserExcel;
import org.springblade.modules.desk.vo.PlatformUserVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * 用户信息表 服务类
 *
 * @author BladeX
 * @since 2022-05-25
 */
public interface IPlatformUserService extends IService<PlatformUser> {

	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param platformUser
	 * @return
	 */
	IPage<PlatformUserVO> selectPlatformUserPage(IPage<PlatformUserVO> page, PlatformUserVO platformUser);

	List<PlatformUserExcel> exportPlatformUser(Wrapper<PlatformUserVO> queryWrapper);
}
